# Error Reporting V1beta1 API - Class Google::Cloud::ErrorReporting::V1beta1::ListGroupStatsRequest (v0.17.0)

0.17.0 (latest) 0.16.0 0.15.1 0.14.0 0.13.1 0.12.0 0.11.1 0.10.0 0.9.2 0.8.0 0.7.0 0.6.0 0.5.1 0.4.5 Reference documentation and code samples for the Error Reporting V1beta1 API class Google::Cloud::ErrorReporting::V1beta1::ListGroupStatsRequest.

Specifies a set of `ErrorGroupStats` to return.

## Inherits

- Object

## Extended By

- Google::Protobuf::MessageExts::ClassMethods

## Includes

- Google::Protobuf::MessageExts

## Methods

### #alignment

    def alignment() -> ::Google::Cloud::ErrorReporting::V1beta1::TimedCountAlignment

**Returns**

- ([::Google::Cloud::ErrorReporting::V1beta1::TimedCountAlignment](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Cloud-ErrorReporting-V1beta1-TimedCountAlignment)) --- Optional. The alignment of the timed counts to be returned. Default is `ALIGNMENT_EQUAL_AT_END`.

### #alignment=

    def alignment=(value) -> ::Google::Cloud::ErrorReporting::V1beta1::TimedCountAlignment

**Parameter**

- **value** ([::Google::Cloud::ErrorReporting::V1beta1::TimedCountAlignment](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Cloud-ErrorReporting-V1beta1-TimedCountAlignment)) --- Optional. The alignment of the timed counts to be returned. Default is `ALIGNMENT_EQUAL_AT_END`.
**Returns**

- ([::Google::Cloud::ErrorReporting::V1beta1::TimedCountAlignment](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Cloud-ErrorReporting-V1beta1-TimedCountAlignment)) --- Optional. The alignment of the timed counts to be returned. Default is `ALIGNMENT_EQUAL_AT_END`.

### #alignment_time

    def alignment_time() -> ::Google::Protobuf::Timestamp

**Returns**

- ([::Google::Protobuf::Timestamp](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Protobuf-Timestamp)) --- Optional. Time where the timed counts shall be aligned if rounded alignment is chosen. Default is 00:00 UTC.

### #alignment_time=

    def alignment_time=(value) -> ::Google::Protobuf::Timestamp

**Parameter**

- **value** ([::Google::Protobuf::Timestamp](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Protobuf-Timestamp)) --- Optional. Time where the timed counts shall be aligned if rounded alignment is chosen. Default is 00:00 UTC.
**Returns**

- ([::Google::Protobuf::Timestamp](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Protobuf-Timestamp)) --- Optional. Time where the timed counts shall be aligned if rounded alignment is chosen. Default is 00:00 UTC.

### #group_id

    def group_id() -> ::Array<::String>

**Returns**

- (::Array\<::String\>) --- Optional. List all \[ErrorGroupStats\] \[google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats\] with these IDs. The `group_id` is a unique identifier for a particular error group. The identifier is derived from key parts of the error-log content and is treated as Service Data. For information about how Service Data is handled, see [Google Cloud Privacy Notice](https://cloud.google.com/terms/cloud-privacy-notice).

### #group_id=

    def group_id=(value) -> ::Array<::String>

**Parameter**

- **value** (::Array\<::String\>) --- Optional. List all \[ErrorGroupStats\] \[google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats\] with these IDs. The `group_id` is a unique identifier for a particular error group. The identifier is derived from key parts of the error-log content and is treated as Service Data. For information about how Service Data is handled, see [Google Cloud Privacy Notice](https://cloud.google.com/terms/cloud-privacy-notice).
**Returns**

- (::Array\<::String\>) --- Optional. List all \[ErrorGroupStats\] \[google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats\] with these IDs. The `group_id` is a unique identifier for a particular error group. The identifier is derived from key parts of the error-log content and is treated as Service Data. For information about how Service Data is handled, see [Google Cloud Privacy Notice](https://cloud.google.com/terms/cloud-privacy-notice).

### #order

    def order() -> ::Google::Cloud::ErrorReporting::V1beta1::ErrorGroupOrder

**Returns**

- ([::Google::Cloud::ErrorReporting::V1beta1::ErrorGroupOrder](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Cloud-ErrorReporting-V1beta1-ErrorGroupOrder)) --- Optional. The sort order in which the results are returned. Default is `COUNT_DESC`.

### #order=

    def order=(value) -> ::Google::Cloud::ErrorReporting::V1beta1::ErrorGroupOrder

**Parameter**

- **value** ([::Google::Cloud::ErrorReporting::V1beta1::ErrorGroupOrder](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Cloud-ErrorReporting-V1beta1-ErrorGroupOrder)) --- Optional. The sort order in which the results are returned. Default is `COUNT_DESC`.
**Returns**

- ([::Google::Cloud::ErrorReporting::V1beta1::ErrorGroupOrder](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Cloud-ErrorReporting-V1beta1-ErrorGroupOrder)) --- Optional. The sort order in which the results are returned. Default is `COUNT_DESC`.

### #page_size

    def page_size() -> ::Integer

**Returns**

- (::Integer) --- Optional. The maximum number of results to return per response. Default is 20.

### #page_size=

    def page_size=(value) -> ::Integer

**Parameter**

- **value** (::Integer) --- Optional. The maximum number of results to return per response. Default is 20.
**Returns**

- (::Integer) --- Optional. The maximum number of results to return per response. Default is 20.

### #page_token

    def page_token() -> ::String

**Returns**

- (::String) --- Optional. A \[next_page_token\] \[google.devtools.clouderrorreporting.v1beta1.ListGroupStatsResponse.next_page_token\] provided by a previous response. To view additional results, pass this token along with the identical query parameters as the first request.

### #page_token=

    def page_token=(value) -> ::String

**Parameter**

- **value** (::String) --- Optional. A \[next_page_token\] \[google.devtools.clouderrorreporting.v1beta1.ListGroupStatsResponse.next_page_token\] provided by a previous response. To view additional results, pass this token along with the identical query parameters as the first request.
**Returns**

- (::String) --- Optional. A \[next_page_token\] \[google.devtools.clouderrorreporting.v1beta1.ListGroupStatsResponse.next_page_token\] provided by a previous response. To view additional results, pass this token along with the identical query parameters as the first request.

### #project_name

    def project_name() -> ::String

**Returns**

- (::String) --- Required. The resource name of the Google Cloud Platform project. Written as `projects/{projectID}` or `projects/{projectNumber}`, where `{projectID}` and `{projectNumber}` can be found in the [Google Cloud console](https://support.google.com/cloud/answer/6158840). It may also include a location, such as `projects/{projectID}/locations/{location}` where `{location}` is a cloud region.


  Examples: `projects/my-project-123`, `projects/5551234`,
  `projects/my-project-123/locations/us-central1`,
  `projects/5551234/locations/us-central1`.

  For a list of supported locations, see [Supported
  Regions](https://cloud.google.com/logging/docs/region-support). `global` is
  the default when unspecified. Use `-` as a wildcard to request group stats
  from all regions.

### #project_name=

    def project_name=(value) -> ::String

**Parameter**

- **value** (::String) --- Required. The resource name of the Google Cloud Platform project. Written as `projects/{projectID}` or `projects/{projectNumber}`, where `{projectID}` and `{projectNumber}` can be found in the [Google Cloud console](https://support.google.com/cloud/answer/6158840). It may also include a location, such as `projects/{projectID}/locations/{location}` where `{location}` is a cloud region.


  Examples: `projects/my-project-123`, `projects/5551234`,
  `projects/my-project-123/locations/us-central1`,
  `projects/5551234/locations/us-central1`.

  For a list of supported locations, see [Supported
  Regions](https://cloud.google.com/logging/docs/region-support). `global` is
  the default when unspecified. Use `-` as a wildcard to request group stats
  from all regions.
**Returns**

- (::String) --- Required. The resource name of the Google Cloud Platform project. Written as `projects/{projectID}` or `projects/{projectNumber}`, where `{projectID}` and `{projectNumber}` can be found in the [Google Cloud console](https://support.google.com/cloud/answer/6158840). It may also include a location, such as `projects/{projectID}/locations/{location}` where `{location}` is a cloud region.


  Examples: `projects/my-project-123`, `projects/5551234`,
  `projects/my-project-123/locations/us-central1`,
  `projects/5551234/locations/us-central1`.

  For a list of supported locations, see [Supported
  Regions](https://cloud.google.com/logging/docs/region-support). `global` is
  the default when unspecified. Use `-` as a wildcard to request group stats
  from all regions.

### #service_filter

    def service_filter() -> ::Google::Cloud::ErrorReporting::V1beta1::ServiceContextFilter

**Returns**

- ([::Google::Cloud::ErrorReporting::V1beta1::ServiceContextFilter](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Cloud-ErrorReporting-V1beta1-ServiceContextFilter)) --- Optional. List only \[ErrorGroupStats\] \[google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats\] which belong to a service context that matches the filter. Data for all service contexts is returned if this field is not specified.

### #service_filter=

    def service_filter=(value) -> ::Google::Cloud::ErrorReporting::V1beta1::ServiceContextFilter

**Parameter**

- **value** ([::Google::Cloud::ErrorReporting::V1beta1::ServiceContextFilter](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Cloud-ErrorReporting-V1beta1-ServiceContextFilter)) --- Optional. List only \[ErrorGroupStats\] \[google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats\] which belong to a service context that matches the filter. Data for all service contexts is returned if this field is not specified.
**Returns**

- ([::Google::Cloud::ErrorReporting::V1beta1::ServiceContextFilter](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Cloud-ErrorReporting-V1beta1-ServiceContextFilter)) --- Optional. List only \[ErrorGroupStats\] \[google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats\] which belong to a service context that matches the filter. Data for all service contexts is returned if this field is not specified.

### #time_range

    def time_range() -> ::Google::Cloud::ErrorReporting::V1beta1::QueryTimeRange

**Returns**

- ([::Google::Cloud::ErrorReporting::V1beta1::QueryTimeRange](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Cloud-ErrorReporting-V1beta1-QueryTimeRange)) --- Optional. List data for the given time range. If not set, a default time range is used. The field \[time_range_begin\] \[google.devtools.clouderrorreporting.v1beta1.ListGroupStatsResponse.time_range_begin\] in the response will specify the beginning of this time range. Only \[ErrorGroupStats\] \[google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats\] with a non-zero count in the given time range are returned, unless the request contains an explicit \[group_id\] \[google.devtools.clouderrorreporting.v1beta1.ListGroupStatsRequest.group_id\] list. If a \[group_id\] \[google.devtools.clouderrorreporting.v1beta1.ListGroupStatsRequest.group_id\] list is given, also \[ErrorGroupStats\] \[google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats\] with zero occurrences are returned.

### #time_range=

    def time_range=(value) -> ::Google::Cloud::ErrorReporting::V1beta1::QueryTimeRange

**Parameter**

- **value** ([::Google::Cloud::ErrorReporting::V1beta1::QueryTimeRange](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Cloud-ErrorReporting-V1beta1-QueryTimeRange)) --- Optional. List data for the given time range. If not set, a default time range is used. The field \[time_range_begin\] \[google.devtools.clouderrorreporting.v1beta1.ListGroupStatsResponse.time_range_begin\] in the response will specify the beginning of this time range. Only \[ErrorGroupStats\] \[google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats\] with a non-zero count in the given time range are returned, unless the request contains an explicit \[group_id\] \[google.devtools.clouderrorreporting.v1beta1.ListGroupStatsRequest.group_id\] list. If a \[group_id\] \[google.devtools.clouderrorreporting.v1beta1.ListGroupStatsRequest.group_id\] list is given, also \[ErrorGroupStats\] \[google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats\] with zero occurrences are returned.
**Returns**

- ([::Google::Cloud::ErrorReporting::V1beta1::QueryTimeRange](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Cloud-ErrorReporting-V1beta1-QueryTimeRange)) --- Optional. List data for the given time range. If not set, a default time range is used. The field \[time_range_begin\] \[google.devtools.clouderrorreporting.v1beta1.ListGroupStatsResponse.time_range_begin\] in the response will specify the beginning of this time range. Only \[ErrorGroupStats\] \[google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats\] with a non-zero count in the given time range are returned, unless the request contains an explicit \[group_id\] \[google.devtools.clouderrorreporting.v1beta1.ListGroupStatsRequest.group_id\] list. If a \[group_id\] \[google.devtools.clouderrorreporting.v1beta1.ListGroupStatsRequest.group_id\] list is given, also \[ErrorGroupStats\] \[google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats\] with zero occurrences are returned.

### #timed_count_duration

    def timed_count_duration() -> ::Google::Protobuf::Duration

**Returns**

- ([::Google::Protobuf::Duration](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Protobuf-Duration)) --- Optional. The preferred duration for a single returned \[TimedCount\] \[google.devtools.clouderrorreporting.v1beta1.TimedCount\]. If not set, no timed counts are returned.

### #timed_count_duration=

    def timed_count_duration=(value) -> ::Google::Protobuf::Duration

**Parameter**

- **value** ([::Google::Protobuf::Duration](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Protobuf-Duration)) --- Optional. The preferred duration for a single returned \[TimedCount\] \[google.devtools.clouderrorreporting.v1beta1.TimedCount\]. If not set, no timed counts are returned.
**Returns**

- ([::Google::Protobuf::Duration](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-error_reporting-v1beta1/latest/Google-Protobuf-Duration)) --- Optional. The preferred duration for a single returned \[TimedCount\] \[google.devtools.clouderrorreporting.v1beta1.TimedCount\]. If not set, no timed counts are returned.